<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `/nix/store/kaan79bbbx80h17lcc5ay919l5r6bqlz-vendored-sources/libc-0.2.126/src/unix/linux_like/linux/musl/b64/aarch64/align.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>align.rs - source</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../../../../../../../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../../../../../../../../normalize.css"><link rel="stylesheet" type="text/css" href="../../../../../../../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../../../../../../../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../../../../../../../../dark.css" disabled><link rel="stylesheet" type="text/css" href="../../../../../../../../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../../../../../../../../storage.js"></script><script defer src="../../../../../../../../source-script.js"></script><script defer src="../../../../../../../../source-files.js"></script><script defer src="../../../../../../../../main.js"></script><noscript><link rel="stylesheet" href="../../../../../../../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../../../../../../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../../../../../../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../../../../../../../favicon.svg"></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../../../../../../../../libc/index.html"><div class="logo-container"><img class="rust-logo" src="../../../../../../../../rust-logo.svg" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../../../../../../../../libc/index.html"><div class="logo-container"><img class="rust-logo" src="../../../../../../../../rust-logo.svg" alt="logo"></div>
        </a></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../../../../../../../../libc/index.html"><img class="rust-logo" src="../../../../../../../../rust-logo.svg" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../../../../../../../../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../../../../../../../../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">1</span>
<span id="2">2</span>
<span id="3">3</span>
<span id="4">4</span>
<span id="5">5</span>
<span id="6">6</span>
<span id="7">7</span>
<span id="8">8</span>
<span id="9">9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
</pre><pre class="rust"><code><span class="macro">s_no_extra_traits!</span> {
    <span class="attribute">#[<span class="ident">allow</span>(<span class="ident">missing_debug_implementations</span>)]</span>
    <span class="attribute">#[<span class="ident">repr</span>(<span class="ident">align</span>(<span class="number">16</span>))]</span>
    <span class="kw">pub</span> <span class="kw">struct</span> <span class="ident">max_align_t</span> {
        <span class="ident">priv_</span>: [<span class="ident">f32</span>; <span class="number">8</span>]
    }
}

<span class="macro">s!</span> {
    <span class="kw">pub</span> <span class="kw">struct</span> <span class="ident">ucontext_t</span> {
        <span class="kw">pub</span> <span class="ident">uc_flags</span>: <span class="ident">::c_ulong</span>,
        <span class="kw">pub</span> <span class="ident">uc_link</span>: <span class="kw-2">*mut</span> <span class="ident">ucontext_t</span>,
        <span class="kw">pub</span> <span class="ident">uc_stack</span>: <span class="ident">::stack_t</span>,
        <span class="kw">pub</span> <span class="ident">uc_sigmask</span>: <span class="ident">::sigset_t</span>,
        <span class="kw">pub</span> <span class="ident">uc_mcontext</span>: <span class="ident">mcontext_t</span>,
    }

    <span class="attribute">#[<span class="ident">repr</span>(<span class="ident">align</span>(<span class="number">16</span>))]</span>
    <span class="kw">pub</span> <span class="kw">struct</span> <span class="ident">mcontext_t</span> {
        <span class="kw">pub</span> <span class="ident">fault_address</span>: <span class="ident">::c_ulong</span>,
        <span class="kw">pub</span> <span class="ident">regs</span>: [<span class="ident">::c_ulong</span>; <span class="number">31</span>],
        <span class="kw">pub</span> <span class="ident">sp</span>: <span class="ident">::c_ulong</span>,
        <span class="kw">pub</span> <span class="ident">pc</span>: <span class="ident">::c_ulong</span>,
        <span class="kw">pub</span> <span class="ident">pstate</span>: <span class="ident">::c_ulong</span>,
        <span class="ident">__reserved</span>: [[<span class="ident">u64</span>; <span class="number">32</span>]; <span class="number">16</span>],
    }
}
</code></pre></div>
</section></div></main><div id="rustdoc-vars" data-root-path="../../../../../../../../" data-current-crate="libc" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>